include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/widgets
  ${CMAKE_BINARY_DIR}/kftpgrabber/src/ui
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### bookmarkwidgets (static)

tde_add_library( bookmarkwidgets STATIC_PIC AUTOMOC

  SOURCES
        editor.cpp
        editortls.cpp
        listview.cpp
        importwizard.cpp
        sidebar.cpp

  DEPENDENCIES kftpgrabbercore-static ui-static
)
